Buf(1)

NAME
buf-registry-plugin-commit-list - List plugins commits

SYNOPSIS
buf registry plugin commit list [flags]

DESCRIPTION
This command lists commits in a plugin based on the reference specified. For a commit reference, it lists the commit itself. For a label reference, it lists the current and past commits associated with this label. If no reference is specified, it lists all commits in this plugin.

OPTIONS
--digest-changes-only[=false]
    Only commits that have changed digests. By default, all commits are listed

--format="text"
    The output format to use. Must be one of [text,json]

-h, --help[=false]
    help for list

--page-size=10
    The page size

--page-token=""
    The page token. If more results are available, a "next_page" key is present in the --format=json output

--reverse[=false]
    Reverse the results. By default, they are ordered with the newest first

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-registry-plugin-commit(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra